Subject: [GSoC] Introduction - Siddharthan T V

From: siddharthantv <[email-masked]>
Date: Sun, 15 Mar 2026 19:59:10 +0530

Hello,

I am Siddharthan T V and I am a CS student applying for GSoC 2026.

While I am looking at the test script t/t4014-format-patch.sh for
my microproject, I found the usage of test -f for the $filename,
sub/$basename and $basename in three tests, but the same file
already uses test_path_is_file for pager_used.

When the test failed with test_path_is_file, it showed the exact
filename it was looking for. With test -f a failure would show
nothing useful.

Is this a good microproject? I also have a patch ready.

Thanks,
Siddharthan T V